org.keycloak.services.clientregistration.oidc

## Class OIDCClientRegistrationProvider

- java.lang.Object
- - org.keycloak.services.clientregistration.AbstractClientRegistrationProvider
  - - org.keycloak.services.clientregistration.oidc.OIDCClientRegistrationProvider

- All Implemented Interfaces:
    Provider, ClientRegistrationProvider

      public class OIDCClientRegistrationProvider
      extends AbstractClientRegistrationProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.clientregistration.AbstractClientRegistrationProvider

      `auth, event, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OIDCClientRegistrationProvider(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `createOIDC(OIDCClientRepresentation clientOIDC)`
    `void` | `deleteOIDC(String clientId)`
    `javax.ws.rs.core.Response` | `getOIDC(String clientId)`
    `javax.ws.rs.core.Response` | `updateOIDC(String clientId, OIDCClientRepresentation clientOIDC)`

    - ### Methods inherited from class org.keycloak.services.clientregistration.AbstractClientRegistrationProvider

      `close, create, delete, get, getAuth, getEvent, setAuth, setEvent, update, validateClient, validateClient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OIDCClientRegistrationProvider

          public OIDCClientRegistrationProvider(KeycloakSession session)

  - ### Method Detail

    - #### createOIDC

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response createOIDC(OIDCClientRepresentation clientOIDC)

    - #### getOIDC

          @GET
           @Path(value="{clientId}")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getOIDC(@PathParam(value="clientId")
                                                                                                                        String clientId)

    - #### updateOIDC

          @PUT
           @Path(value="{clientId}")
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response updateOIDC(@PathParam(value="clientId")
                                                                                                                                                                String clientId,
                                                                                                                                                                OIDCClientRepresentation clientOIDC)

    - #### deleteOIDC

          @DELETE
           @Path(value="{clientId}")
          public void deleteOIDC(@PathParam(value="clientId")
                                                                    String clientId)

Copyright © 2020 JBoss by Red Hat. All rights reserved.